> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt
> Use this file to discover all available pages before exploring further.

# キーワードのインテント構成比

> Intent shares for one keyword across the requested cohort weeks.

Shares are fractions from 0 to 1. Cohorts with two or fewer matching users
are omitted for privacy. Doesn't use the daily keyword allowance.

1 つのキーワードに一致する会話の背後にあるユーザーインテントの構成を、
指定期間内の各週で平均したものです。[Keyword Volume](/ja-jp/rest-api/prompt-volumes/query-volume-v2) と同じ `keyword`、
`matching_type`、期間、`regions`、`platforms` を受け付けます。

* **行:** インテントごとに 1 行で、`main_classification`、省略可能な `sub_category_classification`、`pct_conversation` を含みます。
* **`pct_conversation`** は、分類された一致する会話に占める割合で、0 から 1 の値です。100 を掛けるとパーセンテージになります。
* **プライバシー:** 一致するユーザーが 2 人以下の週は除外されます。

<Note>
  このエンドポイントは、1 日あたりのキーワード利用枠を消費しません。[Keyword Volume](/ja-jp/rest-api/prompt-volumes/query-volume-v2) と
  バーストレート制限を共有します。
</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.tryprofound.com/v2/prompt-volumes/intents/on-the-fly \
    -H "X-API-Key: <your-api-key>" \
    -H "Content-Type: application/json" \
    -d '{
      "keyword": "ai search optimization",
      "matching_type": "phrase_match",
      "start_date": "2026-08-01",
      "end_date": "2026-08-31"
    }'
  ```
</RequestExample>


## OpenAPI

````yaml POST /v2/prompt-volumes/intents/on-the-fly
openapi: 3.1.0
info:
  title: External API
  version: 0.60.2
  x-scalar-sdk-installation:
    - lang: Python
      description: |-
        ```sh
        pip install profound
        ```
    - lang: TypeScript
      description: |-
        ```sh
        npm install @profoundai/client
        ```
    - lang: Rust
      description: |-
        ```sh
        cargo add profound
        ```
servers:
  - url: https://api.tryprofound.com
    description: Production Server
security:
  - APIKeyHeader:
      - X-API-Key
  - BearerAuth: []
paths:
  /v2/prompt-volumes/intents/on-the-fly:
    post:
      tags:
        - Prompt Volumes
      summary: Get Keyword Intent Shares
      description: >-
        Intent shares for one keyword across the requested cohort weeks.


        Shares are fractions from 0 to 1. Cohorts with two or fewer matching
        users

        are omitted for privacy. Doesn't use the daily keyword allowance.
      operationId: get_on_the_fly_intent_shares_v2_prompt_volumes_intents_on_the_fly_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OtfIntentSharesQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OtfIntentSharesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - BearerAuth: []
      x-codeSamples:
        - label: Python
          lang: Python
          source: |-
            import os

            from profound import Profound

            client = Profound(
                api_key=os.environ.get("PROFOUND_API_KEY"),
            )

            intent = client.prompt_volumes.intents.on_the_fly(
                keyword="",
                matching_type="exact_match",
                start_date="2024-01-01",
                end_date="2024-01-01",
            )

            print(intent)
        - label: TypeScript
          lang: TypeScript
          source: |-
            import Profound from '@profoundai/client';

            const client = new Profound({
              apiKey: process.env['PROFOUND_API_KEY'], // defaults to the PROFOUND_API_KEY env var
              environment: 'production',
            });

            const intent = await client.promptVolumes.intents.onTheFly({
              keyword: '',
              matching_type: 'exact_match',
              start_date: '2024-01-01',
              end_date: '2024-01-01',
            });

            console.log(intent);
        - label: rust
          lang: rust
          source: |-
            use profound::*;

            #[tokio::main]
            async fn main() -> Result<(), Box<dyn std::error::Error>> {
                let client = ProfoundClient::builder()
                    .api_key(std::env::var("PROFOUND_API_KEY")?)
                    .build()?;

                let response = client
                    .prompt_volumes()
                    .intents()
                    .on_the_fly(OtfIntentSharesQuery {
                        keyword: "".to_string(),
                        matching_type: OtfIntentSharesQueryMatchingType::ExactMatch,
                        start_date: chrono::Utc::now().date_naive(),
                        end_date: chrono::Utc::now().date_naive(),
                        regions: None,
                        platforms: None,
                    })
                    .send()
                    .await?;

                println!("{:?}", response);

                Ok(())
            }
components:
  schemas:
    OtfIntentSharesQuery:
      properties:
        keyword:
          type: string
          title: Keyword
        matching_type:
          type: string
          enum:
            - exact_match
            - phrase_match
          title: Matching Type
        start_date:
          type: string
          format: date
          title: Start Date
        end_date:
          type: string
          format: date
          title: End Date
        regions:
          items:
            type: string
          type: array
          title: Regions
          description: >-
            ISO 3166-1 alpha-3 country codes (e.g. USA). Omit to include every
            region.
        platforms:
          items:
            type: string
            enum:
              - chatgpt.com
              - gemini.google.com
              - perplexity.ai
          type: array
          title: Platforms
          description: Platforms to restrict to. Omit to include every platform.
      type: object
      required:
        - keyword
        - matching_type
        - start_date
        - end_date
      title: OtfIntentSharesQuery
      description: Query for on-the-fly intent shares for a single keyword.
    OtfIntentSharesResponse:
      properties:
        info:
          $ref: '#/components/schemas/VolumeResponseInfo'
        data:
          items:
            $ref: '#/components/schemas/OtfIntentShareData'
          type: array
          title: Data
      type: object
      required:
        - info
        - data
      title: OtfIntentSharesResponse
      description: Response wrapper for on-the-fly intent shares.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VolumeResponseInfo:
      properties:
        total_rows:
          type: integer
          title: Total Rows
        truncated:
          type: boolean
          title: Truncated
          default: false
        query:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Query
      type: object
      required:
        - total_rows
      title: VolumeResponseInfo
      description: |-
        Metadata for volume query response.
        truncated indicates if results hit MAX_ROWS limit.
    OtfIntentShareData:
      properties:
        main_classification:
          type: string
          title: Main Classification
        sub_category_classification:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Category Classification
        pct_conversation:
          type: number
          title: Pct Conversation
      type: object
      required:
        - main_classification
        - sub_category_classification
        - pct_conversation
      title: OtfIntentShareData
      description: Intent share averaged across the requested cohort date range.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````